%define namp	perl
%define nams1	ExtUtils
%define nams2	F77
%define name	%{namp}-%{nams1}_%{nams2}
%define version	1.14
%define release	1mdk

Summary:	Simple interface to F77 libs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.perl.com/CPAN/authors/id/KGB/%{nams1}-%{nams2}-%{version}.tar.bz2
License:	GPL
Group:		Development/Perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
Requires:	%{_bindir}/f77
BuildArch:	noarch

%description
Simple interface to F77 libs.  Used to be in perl-PDL, but isn't anymore.

This module tries to figure out how to link C programs with
Fortran subroutines on your system. Basically one must add a list
of Fortran runtime libraries. The problem is their location
and name varies with each OS/compiler combination!

%prep
%setup -n %{nams1}-%{nams2}-%{version} -q
perl Makefile.PL

%build
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="${RPM_BUILD_ROOT}%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/5.*/%{nams1}/%{nams2}.pm
%doc %{_libdir}/perl5/man/man3/%{nams1}::%{nams2}.3*
%doc README CHANGES

%changelog
* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.13-5mdk
- Rebuild this against the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.13-4mdk
- BuildArch: noarch
- rename spec file
- clean spec a bit
- run automated tests

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.13-3mdk
- build release.

* Tue Aug  1 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.13-2mdk
- Added requirement for a Fortran77 compiler as this package makes no
  sense without one

* Mon Jul 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.13-1mdk
- First Mandrake package
- This used to be in PDL

# end of file
